#include "funcionario.h"
#include <iostream>
#include <cstring>
#include <fstream>
using namespace std;

/**
* @brief Construtor cria um Funcionario
* @param identity - ID, role - funçao do funcionario, name - nome do funcionario, doc_cpf - CPF do funcionario,
*					age - idade do funcionario, blood_type - tipo sanguineo do funcionario, rh_factor - fator RH do funcionario,
* 				specialty - especialidade do funcionario
*/
Funcionario::Funcionario(int identity, string role, string name, string doc_cpf, int age, string blood_type, string rh_factor, string specialty):

						id(identity), funcao(role), nome(name), cpf(doc_cpf), idade(age), tipo_sanguineo(blood_type), fator_RH(rh_factor), especialidade(specialty)
{}

	/*
	    Construtor com valores default de Funcionario

	*/
	Funcionario::Funcionario(){
		id = 0;
		funcao = "-";
		nome = "-";
		cpf = "-";
		idade = 0;
		tipo_sanguineo = "-";
		fator_RH = "-";
		especialidade = "-";
	}


/**
* @brief Funcao que retorna o ID do funcionario
* @return ID
*/
int Funcionario::getId(){
	return id;
}

/**
* @brief Funcao que modifica o ID do funcionario
* @param identity ID do Funcionario
*/
void Funcionario::setId(int identity){
	id = identity;
}

/**
* @brief Funcao que retorna a função do funcionario
* @return ID
*/

string Funcionario::getFuncao(){
	return funcao;
}

/**
* @brief Funcao que modifica a função do funcionario
* @param role Funcao do Funcionario
*/
void Funcionario::setFuncao(string role){
	funcao = role;
}

/**
* @brief Funcao que retorna o nome do funcionario
* @return nome
*/
string Funcionario::getNome() {
	return nome;
}

/**
* @brief Funcao que modifica o nomedo funcionario
* @param name Nome do Funcionario
*/
void Funcionario::setNome(string name){
	nome = name;
}

/**
* @brief Funcao que retorna o CPF do funcionario
* @return CPF
*/
string Funcionario::getCpf(){
	return cpf;
}

/**
* @brief Funcao que modifica o CPF do funcionario
* @param doc_cpf CPF do Funcionario
*/
void Funcionario::setCpf(string doc_cpf){
	cpf = doc_cpf;
}


/**
* @brief Funcao que retorna a idade do funcionario
* @return idade
*/
int Funcionario::getIdade(){
	return idade;
}

/**
* @brief Funcao que modifica a idade do funcionario
* @param age Idade do Funcionario
*/
void Funcionario::setIdade(int age){
	idade = age;
}

/**
* @brief Funcao que retorna o tipo sanguineo do funcionario
* @return tipo sanguineo
*/
string Funcionario::getTipo_sanguineo(){
	return tipo_sanguineo;
}

/**
* @brief Funcao que modifica o tipo sanguineo do funcionario
* @param blood_type Tipo sanguineo do Funcionario
*/
void Funcionario::setTipo_sanguineo(string blood_type){
	tipo_sanguineo = blood_type;
}

/**
* @brief Funcao que retorna o fator RH do funcionario
* @return fator RH
*/
string Funcionario::getFator_RH(){
	return fator_RH;
}

/**
* @brief Funcao que modifica o fator RH do funcionario
* @param rh_factor Fator RH do Funcionario
*/
void Funcionario::setFator_RH(string rh_factor){
	fator_RH = rh_factor;
}

/**
* @brief Funcao que retorna a especialidade do funcionario
* @return especialidade
*/
string Funcionario::getEspecialidade(){
	return especialidade;
}

/**
* @brief Funcao que modifica a especialidade do funcionario
* @param specialty Especialidade do Funcionario
*/
void Funcionario::setEspecialidade(string specialty){
	especialidade = specialty;
}

/**
* @brief Destrutor de Funcionario
*/
Funcionario::~Funcionario(){

}
